## org.python.modules._threading
Class _threading

    java.lang.Object
      org.python.modules._threading._threading

All Implemented Interfaces:
  ClassDictInit

    public class _threading

extends Object
implements ClassDictInit

Field Summary
`static Map<Long,PyObject>` `_active`
`static Map<Thread,PyObject>` `_jthread_to_pythread`
`static Map<Long,PyObject>` `_threads`

Constructor Summary
`_threading()`

Method Summary
`static void` `_register_thread(Thread jthread, PyObject pythread)`
`static void` `_unregister_thread(Thread jthread)`
`static void` `classDictInit(PyObject dict)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _threads

    public static Map<Long,PyObject> _threads

### _jthread_to_pythread

    public static Map<Thread,PyObject> _jthread_to_pythread

### _active

    public static Map<Long,PyObject> _active

Constructor Detail

### _threading

    public _threading()

Method Detail

### classDictInit

    public static void classDictInit(PyObject dict)

### _register_thread

    public static void _register_thread(Thread jthread,
                                        PyObject pythread)

### _unregister_thread

    public static void _unregister_thread(Thread jthread)

Jython homepage